<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="onPageLoading()">
    
</body>
<script>
    function onPageLoading() {
        var a = 'dcresource';
        console.log(a.match(/.{1,2}/g));
        console.log(a.match(/.{1,3}/g));
    }
</script>
</html>